<!DOCTYPE html>
<html lang="en">
    <head>
        <!--<meta http-equiv="refresh" content="1">-->
        <meta charset="UTF-8">
        <title>{{ user.title }}</title>
        <link href="static/css/index_style.css" rel="stylesheet">
        <script type="text/javascript" src="static/js/chart.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/1.0.2/Chart.min.js"></script>
    </head>
    <body>
    <div class="BackGround">
            <div class="Head">
                <div class="Head">
                    <h1><b>Automated Guided Vehicle</b></h1>
                </div>
                <div class="LoggedName">
                    <p>
                        <em>Hi <b>{{ user.nickname }},</b></em>
                        <a href="/"><em>log out? </em></a>
                    </p>
                </div>
            </div>
            <hr id="horizontalLine">
            <div class="Chart Border">
                <p style="text-align:center; fon">OBSTUCLES IN DISTANCE</p>
                <canvas id="chart" width="1000" height="300"></canvas>
                <script>
                    var dataToDisplay = {{ post }}
                    var ctx = document.getElementById("chart").getContext("2d");
                    var data = {
                        labels: ["0", "10", "20", "30", "40", "50", "60", "70", "80", "90", "100", "110", "120", "130",
                        "140", "150", "160", "170","180"],
                        datasets: [{
                            fillColor: "rgba(240,150,150,0.2)",
                            strokeColor: "rgba(240,150,150,1)",
                            pointColor: "rgba(240,150,150,1)",
                            pointStrokeColor: "#fff",
                            pointHighlightFill: "#fff",
                            pointHighlightStroke: "rgba(240,150,150,1)",
                            data: dataToDisplay
                        }]
                    };
                    var MyNewChart = new Chart(ctx).Line(data);
                </script>
            </div>
        </div>
    </body>
</html>